API version 1.1.8 Available

Post here your questions about the Objective-C API for SFS2X

Moderators: Lapo, Bax

User avatar
Lapo
Site Admin
Posts: 21455
Joined: 21 Mar 2005, 09:50
Location: Italy

API version 1.1.8 Available

Postby Lapo » 30 Aug 2013, 09:57

A new update is available for iOS and MacOSX, version 1.1.8
Check the Client API page for the release notes and download:
http://www.smartfoxserver.com/download/sfs2x#p=client

Cheers
Lapo
--
gotoAndPlay()
...addicted to flash games
Akira
Posts: 6
Joined: 30 Aug 2013, 21:36

Re: API version 1.1.8 Available

Postby Akira » 02 Sep 2013, 15:31

Hi,

We could not run the 1.1.8 update (we are still running on 1.1.5) because of the error:

lazy symbol binding failed: Symbol not found: _objc_setProperty_atomic

It looks like the update was compiled to iOS version 6+ and our app is compiled for iOS 5+. Is it possible to recompile the SDK for iOS 5? We have around 8% of our user base still using iOS 5, so we cannot afford to lose these users with an update to iOS 6 on our app right now.

Thanks
User avatar
Lapo
Site Admin
Posts: 21455
Joined: 21 Mar 2005, 09:50
Location: Italy

Re: API version 1.1.8 Available

Postby Lapo » 02 Sep 2013, 15:53

I will go back to our developers and let you know.
Thanks for posting.
Lapo

--

gotoAndPlay()

...addicted to flash games
User avatar
Lapo
Site Admin
Posts: 21455
Joined: 21 Mar 2005, 09:50
Location: Italy

Re: API version 1.1.8 Available

Postby Lapo » 11 Sep 2013, 08:47

Hi Akira,
we have a new update for version 1.1.8 which also supports iOS 5.

Please send us an email to --> support [[@]] smartfoxserver.com and we'll send it over.
In any case we'll publish the update in the next few days.

Cheers.
Lapo

--

gotoAndPlay()

...addicted to flash games
clam61
Posts: 125
Joined: 12 Sep 2007, 02:00

Re: API version 1.1.8 Available

Postby clam61 » 17 Sep 2013, 18:39

when is the update going to be published?
User avatar
Lapo
Site Admin
Posts: 21455
Joined: 21 Mar 2005, 09:50
Location: Italy

Re: API version 1.1.8 Available

Postby Lapo » 18 Sep 2013, 07:43

We sent user Akira a version of the new version and he replied he still had problems, we then asked them to provide the details but never got back to us.
Meanwhile we have done a few more tests and didn't find any specific issues.

We will publish the API in the next days, if you need them more quickly send us an email to support@... with a reference to this thread.

Thanks
Lapo

--

gotoAndPlay()

...addicted to flash games
Akira
Posts: 6
Joined: 30 Aug 2013, 21:36

Re: API version 1.1.8 Available

Postby Akira » 18 Sep 2013, 16:01

Hi Lapo,

We still are not able to run our project with the new version of the API that you sent by email. The error is the same:

dyld: lazy symbol binding failed: Symbol not found: _objc_setProperty_atomic
Referenced from: /var/mobile/Applications/7F8609A2-E7FF-4F79-8B0B-217BF24C8C99
Expected in: /usr/lib/libobjc.A.dylib

It looks like the API is using a framework that is not available on iOS 5 since this error only happens with our iOS 5 test devices. Our iOS 6 and iOS 7 test devices run the project without any issue. Also this error happens on runtime.

Best regards
User avatar
Lapo
Site Admin
Posts: 21455
Joined: 21 Mar 2005, 09:50
Location: Italy

Re: API version 1.1.8 Available

Postby Lapo » 18 Sep 2013, 16:18

Hi Akira,
I sent another email where I was asking permission to put you in direct contact with the developers that maintain the iOS API.
If you haven't received it, maybe check your spam box, it's probably a week since I've sent it.

thanks
Lapo

--

gotoAndPlay()

...addicted to flash games
Akira
Posts: 6
Joined: 30 Aug 2013, 21:36

Re: API version 1.1.8 Available

Postby Akira » 18 Sep 2013, 19:04

Hi Lapo,

I've answered that email on the same day I've received it. Maybe there was some misunderstanding with my english :(
It is ok to share my contact with the developers.

Cheers
User avatar
Lapo
Site Admin
Posts: 21455
Joined: 21 Mar 2005, 09:50
Location: Italy

Re: API version 1.1.8 Available

Postby Lapo » 18 Sep 2013, 20:29

Argh, we didn't get the reply :(
I have now sent an email which includes our partners at ISO Interactive. Let's continue the discussion via email.

Thanks
Lapo

--

gotoAndPlay()

...addicted to flash games
clam61
Posts: 125
Joined: 12 Sep 2007, 02:00

Re: API version 1.1.8 Available

Postby clam61 » 18 Sep 2013, 21:51

akira

are you able to connect to SFS2X without wifi using the 1.1.8 version? If not what version allows you to do that? That is my only real issue with my current API version.

Without WIFI, I am not able to connect.
Akira
Posts: 6
Joined: 30 Aug 2013, 21:36

Re: API version 1.1.8 Available

Postby Akira » 18 Sep 2013, 23:36

Hi Clam61,

I'm currently using version 1.1.5 without issues with wifi or mobile networks. Version 1.1.8 was not tested since we are not able to run it on iOS 5 devices. Mobile networks suffers with some disconnections but I guess it is because of the bad cellphone network coverage here on Brazil.

Cheers
User avatar
Lapo
Site Admin
Posts: 21455
Joined: 21 Mar 2005, 09:50
Location: Italy

Re: API version 1.1.8 Available

Postby Lapo » 20 Sep 2013, 11:12

clam61 wrote:akira

are you able to connect to SFS2X without wifi using the 1.1.8 version? If not what version allows you to do that? That is my only real issue with my current API version.

Without WIFI, I am not able to connect.

There is no difference from our API standpoint. Whether you use WiFi or 3G that doesn't affect the API unless the 3G connectivity is limited to certain protocols.
It's a common problem that certain carriers for example don't support UDP.

A connection to SFS2X is done via TCP and we would expect it to work with 95% of all 3G carriers. You may want to double check if your 3G profile supports TCP sockets and/or if there are limitations and what they are.
Lapo

--

gotoAndPlay()

...addicted to flash games
clam61
Posts: 125
Joined: 12 Sep 2007, 02:00

Re: API version 1.1.8 Available

Postby clam61 » 20 Sep 2013, 23:17

thanks lapo

doesnt HTTP run on top of TCP? So assuming your smart phone can access a web site, it should be able to use TCP, right?

if the client is not able to connect with a direct connection (which is what I am using) shouldn't it switch to using Blue Box? That is not happening.
Last edited by clam61 on 20 Sep 2013, 23:22, edited 1 time in total.
clam61
Posts: 125
Joined: 12 Sep 2007, 02:00

Re: API version 1.1.8 Available

Postby clam61 » 20 Sep 2013, 23:20

I am using ATT, of course our clients could be using any provider in the world.

Does anyone know if there are common limitations to port #s and/or protocols with 3g? I hve googled but found nothing.

Return to “SFS2X iPhone / iPad / OSX API”

Who is online

Users browsing this forum: No registered users and 2 guests